Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/20027/?format=api
{ "ob_id": 20027, "uuid": "3b680883c88b4bfb9e80542ed5b3f1e8", "title": "Environmental Baseline Project: Surface meteorological measurements from Kirby Misperton", "abstract": "This dataset contains wind speed and direction, pressure, temperature and humidity measurements for the Kirby Misperton site.\r\n\r\nBritish Geological Survey (BGS), the universities of Birmingham, Bristol, Liverpool, Manchester and York and partners from Public Health England (PHE) and the Department for Business, Energy and Industrial Strategy (BEIS), are conducting an independent environmental baseline monitoring programme near Kirby Misperton, North Yorkshire and Little Plumpton, Lancashire. These are areas where planning permission has been granted for hydraulic fracturing.\r\n\r\nThe monitoring allows the characterisation of the environmental baseline before any hydraulic fracturing and gas exploration or production takes place in the event that planning permission is granted. The investigations are independent of any monitoring carried out by the industry or the regulators, and information collected from the programme will be made freely available to the public.", "keywords": "meteorology, hydraulic fracture, fracking", "publicationState": "published", "dataPublishedTime": "2016-09-28T10:53:30", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/20028/?format=api", "dataPath": "/badc/env-baseline/data/kirby-misperton/met/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 79075830, "numberOfFiles": 52, "fileFormat": "Data are NASA Ames formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/5231/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1637/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21769/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52651/?format=api" ], "dataLineage": "Data collected by the project team and supplied to the Centre of Environmental Data Analysis (CEDA) for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/19625/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/19978/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76159/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76157/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76158/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76160/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76161/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76154/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76155/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76162/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76156/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76168/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/20029/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2589/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ebl.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }